// Your variable overrides
$body-bg: #FFFFFF;
$body-color: #091540;
$card-border-color: #091540;
$input-border-color: #EF3E36;
$input-btn-padding-y: .25rem;
$input-btn-padding-x: .7rem;
$font-size-base: 0.8rem;

$theme-colors: (
  "primary": #EF3E36,
  "secondary": #091540,
  "success": #17BEBB,
  "info": #BFC0C0,
  "warning": #17BEBB,
  "danger": #EF3E36,
  "light": #BFC0C0,
  "dark": #091540
);

// Bootstrap and its default variables
@import "scss/bootstrap";


// Custom CSS
html:not(.compact), body:not(.compact) {
  height: 100%;
  width: 100%;
}

h4 {
  font-size: 1rem;
}

h5 {
  font-size: .9rem;
}

.brand {
  background-image: url('/static/img/top-books.png');
  background-repeat: repeat-x;
}

.footer {
  background-image: url('/static/img/bottom-books.png');
  background-repeat: repeat-x;
  background-position: left bottom;
}

.logo {
  height: 50px;
}

.logo-small {
  height: 25px;
}

.brand {
  padding-top: 35px;
  margin-bottom: 15px;
}

#loading-overlay {
  z-index: 5000;
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #FFFFFF;
  /*opacity: .5;*/
}

.loading-spinner {
  animation: rotation 8s infinite linear;
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

#breadcrumb {
  z-index: 4999;
  position: absolute;
  top: 0px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #FFFFFF;
  padding: 5px 10px 5px 10px;
  max-width: 500px;
  border-left: solid 4px #17BEBB;
  border-right: solid 4px #17BEBB;
}

#breadcrumb-inner {
  max-width: 480px;
  white-space: nowrap;
  overflow: hidden;
}

.sticky-nav {
    position: -webkit-sticky;
    position: sticky;
    top: -2px;
    z-index: 500;
    margin-left: -10px;
    margin-right: -10px;
}

.card-header {
  padding: 8px !important;
  border-bottom: solid 4px #091540;
  background-image: url("/static/img/lines.png");
  background-repeat: repeat-x;
}

.card-header h4 {
  color: #091540;
  text-shadow: 0 0 10px rgba(245, 245, 245), 0 0 20px rgba(245, 245, 245), 0 0 30px rgba(245, 245, 245), 0 0 40px rgba(245, 245, 245), 0 0 50px rgba(245, 245, 245), 0 0 60px rgba(245, 245, 245), 0 0 70px rgba(245, 245, 245);
}

.control-div {
  background-color: #091540;
}

.table .thead-dark th {
  border-top: none !important;
  background-color: #17BEBB;
  padding: 5px;
  padding-left: 10px;
}

.table .thead-dark th:hover {
  background-color: #12918F;
}

.table .thead-dark th a {
  color: white;
}

table.table {
  border-bottom: solid 4px #17BEBB;
}

.corpora-content-cell {
  max-height: 100px;
  overflow: auto;
  -ms-overflow-style: -ms-autohiding-scrollbar;
}

.content-selection-item {
  cursor: pointer;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 0px;
  margin-bottom: 0px;
}

.carousel-control-next-icon, .carousel-control-prev-icon {
  color: #17BEBB;
}

.btn-square {
  width: 15px;
  height: 20px;
}

#job-box {
  position: fixed;
  right: 0;
  bottom: 0;
  width: 350px;
  background-color: #17BEBB;
  border-top-left-radius: 10px !important;
  padding: 10px;
  z-index: 10;
}

.job-params dt {
  float: left;
  width: 160px;
  overflow: hidden;
  clear: left;
  text-overflow: ellipsis;
  white-space: normal;
}

// Pattern of association styles
#patass-canvas {
  padding: 10px;
  background-color: #BFC0C0;
}

.patass-ct-circle {
  width: 150px;
  height: 150px;
  background: #EF3E36;
  border-radius: 50%;
  color: white;
  font-weight: bold;
}

.patass-ct-circle a {
  color: white;
}

.patass-add-circle {
  width: 150px;
  height: 150px;
  background: #17BEBB;
  border-radius: 50%;
  color: white;
  font-weight: bold;
}

.patass-pipe {
  border-left: dashed 2px #091540;
  height: 50px;
  width: 10px;
  margin-left: 10px;
}

.patass-ct-controls {
  margin-top: -55px;
  margin-bottom: 30px;
}